### Method

# Shumate FileCache get_tile_async

#### Declaration [src]

    void
    shumate_file_cache_get_tile_async (
      ShumateFileCache* self,
      int x,
      int y,
      int zoom_level,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Gets tile data from the cache, if it is available.

#### Parameters

`x`

  Type: `int`

  The X coordinate of the tile.

`y`

  Type: `int`

  The Y coordinate of the tile.

`zoom_level`

  Type: `int`

  The zoom level of the tile.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to execute upon completion.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Closure data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.